org.eclipse.ease.debugging.events

## Class AbstractEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent

All Implemented Interfaces:
  IDebugEvent

Direct Known Subclasses:
  BreakpointRequest, EngineStartedEvent, EngineTerminatedEvent, EvaluateExpressionEvent, EvaluateExpressionRequest, GetStackFramesRequest, GetVariablesRequest, ResumedEvent, ResumeRequest, ScriptReadyEvent, ScriptTerminatedEvent, SetVariablesRequest, StackFramesEvent, SuspendedEvent, SuspendRequest, TerminateRequest, ThreadCreatedEvent, ThreadTerminatedEvent, VariablesEvent

    public abstract class AbstractEvent
    extends java.lang.Object
    implements IDebugEvent

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getThread()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getThread

    public java.lang.Object getThread()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`